*{
  margin: 0;
  box-sizing: border-box;
}

.timeline{
  position: relative;
  margin: 50px 150px;
  padding: 50px 0;
  background: lightcyan;
  align-self: center;
  z-index: 1;
  border-radius: 10px;
  box-shadow: 5px 5px 5px rgba(0,0,0,0.5), -1px -1px 5px rgba(0,0,0,0.5)inset;
  opacity: 0;
  filter: blur(1px);
  transform: translateY(10%);
  transition: all 1s;
}

.timelineheader{
  text-align: center;
  opacity: 0;
  filter: blur(1px);
  transform: translateY(10%);
  transition: all 1s;
  color: white;
  text-shadow: 5px 5px 5px rgba(0,0,0,0.8);
}

.timeline-container{
  padding: 10px 50px;
  position: relative;
  width: 50%;
  opacity: 0;
  border-radius: 10px;
}

.text-box{
  padding: 20px 30px;
  background: blue;
  position: relative;
  border-radius: 5px;
  color: white;
  text-align: justify;
  box-shadow: 5px 5px 5px rgba(0,0,0,0.5), -1px -1px 5px rgba(0,0,0,0.5)inset;
}

.left-container{
  left: 0;
}

.right-container{
  left: 50%
}

.left-container i{
  border: 1px solid black;
  background: blue;
  padding: 10px 0;
  border-radius: 50%;
  position: absolute;
  right: -32px;
  top: 60px;
  z-index: 10;
  color: white;
  font-size: 40px;
  width: 62px;
  height: 62px;
  text-align: center;
  justify-content: center;
}

.right-container i{
  border: 1px solid black;
  background: blue;
  padding: 10px 10px;
  border-radius: 50%;
  position: absolute;
  left: -30px;
  top: 50px;
  z-index: 10;
  color: white;
  font-size: 40px;
  height: 62px;
  width: 62px;
  text-align: center;
  justify-content: center;
}

.fa-solid.fa-users{
  font-size: 40px;
  right: -35px;
}

.fa-solid.fa-hand-holding-dollar{
  font-size: 38px;
}

#lightbulb1{
  font-size: 45px;
  left: -28px;
  height: 62px;
  width: 62px;
}

.linerist{
  background: blue;
  width: 10px;
  position: absolute;
  left: 50%;
  top: 0;
  margin-left: -3px;
}

.left-container-arrow{
  height: 0;
  width: 0;
  position: absolute;
  top: 65px;
  z-index: -1;
  border-top: 15px solid transparent;
  border-bottom: 15px solid transparent;
  border-left: 15px solid rgba(0,0,255,0.8);
  right: -15px;
}

.right-container-arrow{
  height: 0;
  width: 0;
  position: absolute;
  top: 50px;
  z-index: -1;
  border-top: 15px solid transparent;
  border-bottom: 15px solid transparent;
  border-right: 15px solid rgba(0,0,255,0.8);
  left: -15px;
}

.aboutusbody{
  overflow: hidden;
  width: 100%;
}

.aboutuscontainer{
  display: flex;
  flex-direction: column;
  margin: 100px 150px;
  background: lightcyan;
  position: relative;
  align-self: center;
  border-radius: 10px;
  overflow: hidden;
  text-wrap: wrap;
  box-shadow: 5px 5px 5px rgba(0,0,0,0.5), -1px -1px 5px rgba(0,0,0,0.5)inset;
  opacity: 0;
  filter: blur(1px);
  transform: translateY(10%);
  transition: all 1s;
}

.aboutusdiv{
  display: flex;
}

.aboutuslogo{
  flex-basis: 50%;
  display: flex;
  align-content: center;
  align-items: center;
  justify-content: center;
  overflow: hidden;
}

.aboutusimage:hover{
  scale: 1.05;
}

.aboutusimage{
  width: 100%;
  height: 500px;
}

.aboutustext{
  flex-basis: 50%;
  display: flex;
  flex-direction: column;
  justify-content: center;
}

.aboutustext div{
  display: flex;
}

.aboutustext div i{
  width: 150px;
  text-align: center;
  margin: 10px;
}

.aboutus-p{
  margin: 20px;
  text-align: justify;
  font-size: 20px;
  font-weight: 400;
}

.aboutus-pleft{
  text-align: right;
}

.aboutus-pright{
  text-align: left;
}

.aboutush1{
  margin: 20px;
  text-align: justify;
}

.aboutush1left{
  text-align: right;
}

@media (max-width:768px){
  .timeline{
    margin: 50px auto;
  }
  .linerist{
    left: 31px;
  }
  .timeline-container{
    width: 100%;
    padding-left: 80px;
    padding-right: 25px;
  }
  .text-box{
    font-size: 14px;
  }
  .right-container{
    left: 0px;
  }
  .left-container i{
    left: 5px;
    right:auto;
  }
  .right-container i{
    left: 5px;
  }

  #lightbulb1{
    left: 5px;
  }

  .left-container-arrow{
    border-left: 0px;
    border-right: 15px solid rgba(0,0,255,0.8);
    left: -15px;
    right: auto;
  }
  
  .boxesgrid{
    position: relative;
  }

  .aboutusdiv div{
    flex-basis: 100%;
  }

  .aboutusdiv{
    flex-direction: column;
  }

  .aboutush1{
    text-align: center;
  }

  .aboutustext{
    text-align: center;
  }

  .aboutus-pleft{
    text-align: justify;
  }

  .aboutus-pright{
    text-align: justify;
  }

  .aboutuscontainer{
    margin: 20px 20px;
  }

  
  
}

@media (max-width:1500px){
  .boxes{
    flex-basis: 45%;
  }
}

.show{
  opacity: 1;
  filter: blur(0);
  transform: translateX(0);
}